Loading...
Searching...
No Matches
starpu_task_list.h File Reference
`#include <starpu_task.h>`
`#include <starpu_util.h>`

Go to the source code of this file.

## Data Structures

struct | starpu_task_list

## Functions

void | starpu_task_list_init (struct starpu_task_list *list)
void | starpu_task_list_push_front (struct starpu_task_list *list, struct starpu_task *task)
void | starpu_task_list_push_back (struct starpu_task_list *list, struct starpu_task *task)
struct starpu_task * | starpu_task_list_front (const struct starpu_task_list *list)
struct starpu_task * | starpu_task_list_back (const struct starpu_task_list *list)
int | starpu_task_list_empty (const struct starpu_task_list *list)
void | starpu_task_list_erase (struct starpu_task_list *list, struct starpu_task *task)
struct starpu_task * | starpu_task_list_pop_front (struct starpu_task_list *list)
struct starpu_task * | starpu_task_list_pop_back (struct starpu_task_list *list)
struct starpu_task * | starpu_task_list_begin (const struct starpu_task_list *list)
struct starpu_task * | starpu_task_list_end (const struct starpu_task_list *list STARPU_ATTRIBUTE_UNUSED)
struct starpu_task * | starpu_task_list_next (const struct starpu_task *task)
int | starpu_task_list_ismember (const struct starpu_task_list *list, const struct starpu_task *look)
void | starpu_task_list_move (struct starpu_task_list *ldst, struct starpu_task_list *lsrc)